Package: org.gradle.api.plugins.sonar.model

## [Groovy] Class SonarProjectModel

- org.gradle.api.plugins.sonar.model.SonarProjectModel

- All Implemented Interfaces and Traits:
    SonarModel

      @Deprecated
      class SonarProjectModel
      extends Object

  Configuration options for subprojects of a project that has the `sonar` plugin applied.

  deprecated:
    The 'sonar' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<SonarModel>` | `childModels` Configuration options for child projects of this project.
    `SonarProject` | `project` Per-project configuration options.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `project(groovy.lang.Closure config)` Configures per-project configuration options.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### List<SonarModel> childModels

      Configuration options for child projects of this project.

    - #### SonarProject project

      Per-project configuration options.

  - ### Method Detail

    - #### void project(groovy.lang.Closure config)

      Configures per-project configuration options. The specified closure delegates to an instance of SonarProject.

      Parameters:
        `config` - per-project configuration options